bug-bash
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: problem with extended regular expression in bash 4.1


From: Chet Ramey
Subject: Re: problem with extended regular expression in bash 4.1
Date: Mon, 26 Nov 2012 12:08:18 -0500
User-agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:16.0) Gecko/20121010 Thunderbird/16.0.1

On 11/26/12 9:07 AM, Davide Brini wrote:

>> Then maybe you have the compat31 option set (or your distro sets it for
>> you), or you may have a patched, non-vanilla version of bash (redhat is
>> well known for doing this).
>>
> 
> And indeed:
> 
> https://groups.google.com/forum/?fromgroups=#!topic/gnu.bash.bug/hq7mAJQB31s

Redhat, Debian, and SUSE have done this kind of thing in the past.

It wouldn't be so bad, but they tend not to

1.  Change the installed manual page to document what they've done;
2.  Tell anyone they've done it

Chet


-- 
``The lyf so short, the craft so long to lerne.'' - Chaucer
                 ``Ars longa, vita brevis'' - Hippocrates
Chet Ramey, ITS, CWRU    address@hidden    http://cnswww.cns.cwru.edu/~chet/



reply via email to

[Prev in Thread] Current Thread [Next in Thread]